View node output version list

Lists the revision records for the specified processing node output block.

GET https://moi.matrixorigin.cn/newmoi/lineage/artifacts/{artifact_id}/nodes/{node_id}/blocks/{block_id}/revisions

Preparation before calling

Prepare a personal access token and target workspace ID that has access to the target workspace.

Request parameters

Request example

curl -X GET "https://moi.matrixorigin.cn/newmoi/lineage/artifacts/$ARTIFACT_ID/nodes/$NODE_ID/blocks/$BLOCK_ID/revisions" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

When the request is successful, the data of this operation is returned. Just because the write or run request has been accepted does not mean that the subsequent processing has been completed; please confirm the result based on the return status or subsequent query.

The response fields are as follows.

data.artifact_idstring
Product ID.
data.block_idstring
Output block ID.
data.revisionsarray
The revision record of this output block.

Successful response example

{
  "code": "OK",
  "msg": "OK",
  "data": {"artifact_id": "art-001", "node_id": "node-001", "block_id": "block-001", "revisions": []}
}

Error response

codestring
Error code.
msgstring
Readable error message.
datanull
`null` in an error response.

Error response example

{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}
Last updated on